local types = import 'types.libsonnet';
local entity = import 'entity.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/devices/sensor',
  title: 'Sensor',
  description: |||
    A sensor device entity.
  |||,

  properties+: {
    measures: {
      type: 'array',
      items: types.id,
      description: 'List of variables measured by sensor.',
      uniqueItems: true,
    }
  }
}
