local entity = import 'entity.libsonnet';
local types = import 'types.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/locations/building',
  title: 'Building',
  description: |||
    A building
  |||,

  properties+: {
    location: types.location,
    rooms: {
      type: 'array',
      description: 'Rooms contained in this building.',
      items: {
        oneOf: [
          {
            '$ref': 'https://picc.app/schemata/v0.1-dev/room',
          },
          $.properties.id,
        ],
      },
    },
  },
}
